PT BMS MIGRATION & ENHANCEMENT - Feature #1244

ESS EXxit Clearance - Posting
06/15/2022 03:19 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 06/15/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear developer,
mohon dibantu untuk proses posting di ESS Exit Clearance.

1. Task ID: process_data_post_MD2

Mohon dibantu untuk task ID process_data_post MD2 untuk posting ke PHRPA0002 untuk 4 field yaitu StartDate,
MovementReason, MovementType dan Employee Status. Ketika berhasil posting maka akan ter-insert 1 baris baru di master data
assignment dan tanggal akan otomatis terdelimit.
2. Task ID: process_post_data_MD2
Mohon dibantu untuk task ID process_post_data_MD2 ketika berhasil posting akan mengupdate data PHROMO0002 (EP)
Task ID: process_post_data_MD2_2
Mohon dibantu untuk task ID process_post_data_MD2_2 ketika berhasil posting akan mengupdate data PHROMO0002 (PE)
Contoh:
Ada employee yang memiliki effective date resign di tgl 1 April 2014. Maka ketika di approve, akan terupdate di DB seperti gambar
dibawah untuk E ke P maupun P ke E.
- *
Bukan membentuk data baru tetapi mengupdate data lama.

Terima kasih.

History

#1 - 06/15/2022 04:21 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 06/17/2022 05:12 PM - Fiona Avangeline Jonathan
- File clipboard-202206171711-kjgth.png added

Mas Wanto,

mohon dibantu setting untuk field Last Date of Work tidak boleh sama dengan atau lebih dari tanggal yang diinput di Effective Date.

Terima kasih.

07/04/2025

Effective Date: 171062022
Last Date of Work: | [1]
Absence Quota: June 2022 |
Port: http:/remote.minovais.com:31134/
Login: staff1
#3 - 06/29/2022 04:35 PM - Saswanto Tampan
- Assignee changed from Saswanto Tampan to Mr. Yusuf
#4 - 07/01/2022 09:05 AM - Mr. Yusuf
- Status changed from Assigned to QA Test
#5 - 07/01/2022 09:06 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to Fiona Avangeline Jonathan
#6 - 07/04/2022 10:14 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed
